Subject: Re: bug#18236: diff-apply-hunk interacts poorly with line endings

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 Feb 2016 22:14:04 +0200

> Date: Wed, 17 Feb 2016 19:59:02 +0000
> From: Reuben Thomas <[email-masked]>
> Cc: Marcin Borkowski <[email-masked]>, [email-masked]
> 
>  Is the recipe
>  ​ ​
>  complete?
> 
> ​Seems so.​
> 
> 
>  Also, does this happen on a Posix host or on a Windows box?
> 
> 
> ​On a GNU/Linux system.​
> 
> 
>  If the former, I won't expect each line in the patch file to end with
>  a ^M, only the lines that came from the files being diffed.
> 
> 
> Sorry, I was imprecise. ​You're quite right, only the lines that come from the files being diffed end in ^M.​
> 
> However, the original problem ​remains, as stated: after applying the patch hunk, the patched lines of the
> resultant file "bar" end \r\r\n.

Doesn't happen on Windows.  I will try on GNU/Linux and see what I
find there.